#include <vector>

using namespace std;

class Polynom {
  private:
    vector<double> a;

  public:
    Polynom() {}
    Polynom(int n) : a(n + 1) { a[n] = 1; }

    Polynom(const Polynom& p) : a(p.a) {}
};

class Vektor {
  private:
    double* ap;
    int len;

  public:
    Vektor() : ap(0), len(0) {}
    Vektor(int n, double x=0) : len(n) {
      ap = new double[n];
      for (int i = 0; i < len; i++) ap[i] = x;
    }

    Vektor(const Vektor& a) : len(a.len) {
      ap = new double[len];
      for (int i = 0; i < len; i++)
        ap[i] = a.ap[i];
    }
};

int main() {
  Polynom p, q{5}, r(q);
  const Polynom cp, cq{5}, cr(q);

  Vektor v, w{3}, u(w);
  const Vektor cv, cw{3}, cu(w);

  return 0;
}
